Summary: Advanced Linux Sound Architecture (ALSA) - Utils
Name: alsa-utils
Version: 0.5.8
Release: 2
Copyright: GPL
Group: Applications/Multimedia
Source: ftp://ftp.alsa-project.org/pub/utils/alsa-utils-%{version}.tar.bz2
Patch0: alsa-utils-%{version}.patch
URL: http://www.alsa-project.org
BuildRequires: alsa-lib >= 0.5.5
Requires: alsa-driver >= 0.5.5, alsa-lib >= 0.5.5
BuildRoot: %{_tmppath}/alsa-utils-%{version}

%description
Advanced Linux Sound Architecture (ALSA) - Utils

Features
========

* general
  - modularized architecture with support for 2.0 and latest 2.1 kernels
  - support for versioned and exported symbols
  - full proc filesystem support - /proc/sound
* ISA soundcards
  - support for 128k ISA DMA buffer
* mixer
  - new enhanced API for applications
  - support for unlimited number of channels
  - volume can be set in three ways (percentual (0-100), exact and decibel)
  - support for mute (and hardware mute if hardware supports it)
  - support for mixer events
    - this allows two or more applications to be synchronized
* digital audio (PCM)
  - new enhanced API for applications
  - full real duplex support
  - full duplex support for SoundBlaster 16/AWE soundcards
  - digital audio data for playback and record should be read back using
    proc filesystem
* OSS/Lite compatibility
  - full mixer compatibity
  - full PCM (/dev/dsp) compatibility

%prep
%setup -q
%patch0 -p1 -b .ln

%build
%configure
make

%install
mkdir -p $RPM_BUILD_ROOT/usr/bin $RPM_BUILD_ROOT/usr/share/man/man1

make DESTDIR="$RPM_BUILD_ROOT" install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc ChangeLog COPYING README config.status
/usr/sbin/*
/usr/bin/*
/usr/share/man/man1/*

%changelog
* Tue Dec 05 2000 Yukihiro Nakai <ynakai@redhat.com>
- Add small fix for LN_S

* Wed Nov 15 2000 Yukihiro Nakai <ynakai@redhat.com>
- Get from Vine
- /usr/man -> /usr/share/man

* Tue Jun 20 2000 Lisa Sagami <czs14350@nifty.ne.jp>
- import to Vine 0.5.8-0vl1 from 0.5.8-0k1
- BuildRequires: alsa-lib >= 0.5.5

* Tue Jun  6 2000 AYUHANA Tomonori <l@kondara.org>
- Version up 0.5.7 -> 0.5.8
- add -q at %setup
- use %configure

* Thu Apr  9 2000 Toru Hoshina <t@kondara.org>
- Version up 0.5.6 -> 0.5.7

* Wed Mar 15 2000 Daiki Matsuda <dyky@kondara.org>
- Version up 0.5.5 -> 0.5.6

* Thu Mar  2 2000 Toru Hoshina <t@kondara.org>
- Version up 0.5.4 -> 0.5.5

* Sun Feb 27 2000 Toru Hoshina <t@kondara.org>
- Version up 0.4.1e -> 0.5.4

* Sat Jan 29 2000 Toru Hoshina <t@kondara.org>
- stripped. (*^_^*)

* Mon Nov 8 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Mon May 28 1998 Helge Jensen <slog@slog.dk>

- Made SPEC file

